#version 330

smooth in vec2 v_uv;

out vec4 result;

uniform sampler2DRect atlas;
uniform mat4 grading;

void main()
{
  vec4 p = texture(atlas, v_uv);
  result = grading * p;
  result.a = p.a;
  if (result.a < 1.0)
    discard;
}
